<?xml version='1.0' encoding='UTF-8'?>
<!--
  ~ Copyright (c) DbVis Software AB. All Rights Reserved.
  -->
<sql:Dialect tag="sqlite" xmlns:sql="http://dbvis.com/sql-dialect.xsd" comment="No stored procedures"
   references="
   https://www.sqlite.org/lang.html
   https://www.sqlite.org/lang_createtrigger.html
   https://www.sqlite.org/lang_expr.html
   ">    

<!--   <sql:InnerStatement begin="{BEGIN|CASE}" end="END"/> TODO: use this construct; bug in XML reader? -->
   <sql:InnerStatement begin="BEGIN" end="END"/>
   <sql:InnerStatement begin="CASE" end="END"/>
   <sql:ComplexStatement begin="CREATE TRIGGER" end="" end.override="false">
   </sql:ComplexStatement>
   
</sql:Dialect>